%define ttf2pt1ver	3.4.3

Summary:	Some utilities for use by drakfont
Name:		font-tools
Version:	0.1
Release:	%mkrel 14
License:	GPL & BSD
Group:		System/Configuration/Other
Url: 		http://www.linux-mandrake.com
Source:		%{name}-%{version}.tar.bz2
Source1:	http://download.sourceforge.net/ttf2pt1/ttf2pt1-%{ttf2pt1ver}.tar.bz2
BuildRequires:	freetype-devel
Requires:	t1utils, freetype-tools, groff
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
font-tools is used by drakfont and include:
- ttf2type1: convert .ttf to .pfb and .afm.
- tt2afm:    convert .ttf to .afm .
- pfm2afm:   convert .pfm to afm.

%prep
%setup -q -a 1

%build
# ttf2pt1 3.3.5 from main sources had IA-32 objects
make clean
perl -pi -e 's/ttf2pt1-3.3.5/ttf2pt1-%{ttf2pt1ver}/g' Makefile
make CC="gcc %{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}

%makeinstall PREFIX=%{buildroot}/usr
install ttf2pt1-%{ttf2pt1ver}/ttf2pt1.1 %{buildroot}%{_mandir}/man1
install ./ttf2pt1-%{ttf2pt1ver}/ttf2pt1 %{buildroot}%{_sbindir}
install type1inst-0.6.1/type1inst.man %{buildroot}%{_mandir}/man1/type1inst.1

rm -f %{buildroot}%{_sbindir}/t1asm

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README COPYING README.ttf2pt1 COPYRIGHT.ttf2pt1
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*


%changelog
* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1-14mdv2007.0
+ Revision: 119955
- Import font-tools



* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1-13mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1-12mdk
- Rebuild

*Fri Feb 11 2005 Nicolas Lcureuil <neoclust@mandrakesoft.com> 0.1-11mdk
- Fix Require 
- Fix #5964

* Thu Mar 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-10mdk
- fix wrong ttf2pt1 permissions (fix #3284)

* Tue Mar 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-9mdk
- add ttf2pt1 (which is needed by drakfont)

* Tue Feb 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-8mdk
- Remove prebuilt IA-32 binaries!

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-7mdk
- Updated ttf2pt1 to release 3.4.3

* Tue Jul 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-6mdk
- Removed conflict with freetype-tools.

* Mon Jul 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-5mdk
- Updated ttf2pt1 to release 3.4.1
- Added ttmkfdir.
- Added man pages.

* Mon Jul 22 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1-4mdk
- Fixed summary.
- Removed t1asm (provided in t1utils).

* Sat Jan 26 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1-3mdk
- run "make clean" before build, tarball ships with a .o
- Build with MDK cflags.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.1-2mdk
- url.

* Wed Oct 17 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.1-1mdk
- initial spec.
